------ Variables ------
local M = {}
local modAttached = false

------ Functions ------

local function getNodeID(name)
    local nodeID = nil
    for k, node in pairs(v.data.nodes) do
        if tostring(node.name) == tostring(name) then
            return node.cid
        end
    end
    return null
end

local function BreakBeamFromNodes(node1, node2)
    for k, beam in pairs(v.data.beams) do
        if beam.id1 == node1 and beam.id2 == node2 then
            obj:breakBeam(k)
        elseif beam.id2 == node1 and beam.id1 == node2 then
            obj:breakBeam(k)
        end
    end
end

local function Setup()
    for k, beam in pairs(v.data.beams) do
        if (string.find(tostring(beam.breakGroup), "_Openable") ~= nil) then
            modAttached = true
        end
        if (modAttached) then
            if beam.breakGroup ~= nil and beam.breakGroup ~= "" then
                if string.find(tostring(beam.breakGroup), "hoodlatch") ~= nil or
                    string.find(tostring(beam.breakGroup), "tailgatelatch") ~= nil then
                    obj:breakBeam(k)
                end
            end
            BreakBeamFromNodes(getNodeID('fb2l'), getNodeID('h4l'))
            BreakBeamFromNodes(getNodeID('fb2'), getNodeID('h4'))
            BreakBeamFromNodes(getNodeID('fb2r'), getNodeID('h4r'))
        end
    end
end

M.onReset = Setup
M.onInit = Setup

return M
